//-----------------------------------------
// LScript Generic template
//
// Copyright 2019 Michael Green
// mike@mikegreen.name
//

myversion=0.1;
@version 2.2
@warnings
@script generic

// global values go here

gsour=1;
gdest=2;
gset;


generic
{
    gset[gsour]=recall("MG_Update_Configs_"+gsour.asStr(),getdir("Settings")+"\\LW2015.cfg");
    gset[gdest]=recall("MG_Update_Configs_"+gdest.asStr(),"2019.1.2");

		// perform all processing here


    reqbegin("MG Update Configs GN V:"+myversion);

    c[gsour] = ctlfilename("Choose LW****.*.*.cfg to copy from",gset[gsour],100);
    c[gdest] = ctlstring("Destination version",gset[gdest]);

    return if !reqpost();

    // get requester control values here
    for(i=1;i<=gset.size(); i++)
    {
			gset[i]=getvalue(c[i]);
			store("MG_Update_Configs_"+i.asStr(),gset[i]);
		}

    reqend();

    mysplit=split(gset[gsour]);
    myleft=strleft(mysplit[3],(mysplit[3].size() - 3));
    mylwversion=strright(myleft,(myleft.size() - 2));
    mydir=mysplit[1]+mysplit[2];
    myfilenames=matchfiles(mydir,"*"+mylwversion+"*.*");
    mkdir(mydir+gset[gdest]);
    for(i=1;i<=myfilenames.size();i++)
    {
			mynewname=SwapString(myfilenames[i],mylwversion,gset[gdest]);
			mycommand="copy "+mydir+myfilenames[i]+" "+mydir+gset[gdest]+"\\"+mynewname;
			system(mycommand);
			mynewname=nil;
		}

}

SwapString:pname,astring,bstring    //swap bstring for astring
{
	newname=pname;
	exp = regexp(astring,bstring);
	newname ~= exp;
	if(newname.size()!=0)
		return(newname);
	else
		return(pname);
}
